#-*- mode: Fundamental; tab-width: 4; -*-
# ex:ts=4
#
# $FreeBSD$
#    $MCom: ports/Mk/bsd.mozilla.mk,v 1.10 2005/11/13 06:30:01 ahze Exp $
#
# 4 column tabs prevent hair loss and tooth decay!

.if !defined(_POSTMKINCLUDED) && !defined(Mozilla_Pre_Include)

# Please make sure all changes to this file are passed through the maintainer.
# Do not commit them yourself (unless of course you're the Port's Wraith ;).
Mozilla_Include_MAINTAINER=		gnome@FreeBSD.org
Mozilla_Pre_Include=			bsd.mozilla.mk

# Ports can use the following:
#
# WANT_GECKO=	yes
#  include bsd.mozilla.mk
#
# USE_GECKO= mozilla firefox mozilla-devel
#  Lists gecko's the port supports. The first entry will
#  be the default gecko to use unless WITH_GECKO is defined
#  then bsd.mozilla.mk will test if the listed entries in 
#  WITH_GECKO and match ones in USE_GECKO, if true then the
#  first match found in WITH_GECKO will be used. bsd.mozilla.mk
#  will set MOZILLA to the gecko it will be using. 
#
#  The use of USE_GECKO= yes will default to firefox unless
#  WITH_GECKO is defined and this means your port supports
#  every gecko listed in bsd.mozilla.mk
#
# .if ${GECKO}=="seamonkey"
# CONFIGURE_ARGS+= --with-mozilla=${GECKO}
# .endif
#
# End users can use the following:
#
# WITH_GECKO= mozilla firefox seamonkey
#

_GECKO_ALL= 	firefox firefox-devel mozilla mozilla-devel nvu \
		seamonkey sunbird thunderbird

_NEW_GCC_GECKO=	firefox firefox-devel mozilla-devel seamonkey sunbird

sunbird_PORTSDIR=	deskutils
thunderbird_PORTSDIR=	mail

.for gecko in ${_GECKO_ALL}
${gecko}_PORTSDIR?=	www
${gecko}_DEPENDS?=	${PORTSDIR}/${${gecko}_PORTSDIR}/${gecko}
${gecko}_PLIST?=	${X11BASE}/lib/${gecko}/libgtkembedmoz.so
.endfor

# Figure out which mozilla to use
# Weed out bad options in USE_GECKO
.for badgecko in ${USE_GECKO}
. if ${_GECKO_ALL:M${badgecko}}!=""
GOOD_USE_GECKO+=	${badgecko}
. endif
.endfor

# Figure out which mozilla to use and weed out the bad ones
.if defined(WITH_GECKO) && defined(GOOD_USE_GECKO)
. for badgecko in ${WITH_GECKO}
.  if ${GOOD_USE_GECKO:M${badgecko}}!=""
GOOD_WITH_GECKO+=	${badgecko}
.  endif
. endfor
. if defined(GOOD_WITH_GECKO)
GECKO=	#### CHANGE ME
. endif
.endif

.if !defined(GECKO) && defined(GOOD_USE_GECKO)
GECKO=	#### CHANGE ME
.endif

.if defined(GECKO) && ${_GECKO_ALL:M${GECKO}}!=""
. if ${_NEW_GCC_GECKO:M${GECKO}!=""
USE_GCC?=	3.4+
. endif
BUILD_DEPENDS+=	${GECKO_${PLIST}}:${GECKO_${DEPENDS}}
RUN_DEPENDS+=	${GECKO_${PLIST}}:${GECKO_${DEPENDS}}
.else
BROKEN="Bad use of USE_GECKO"
.endif

.endif # end all
# HERE THERE BE TACOS
